<?php

$_product = $this->getCurrentProduct();

$objectManager = \Magento\Framework\App\ObjectManager::getInstance(); // Instance of Object Manager
$storeManager = $objectManager->get('\Magento\Store\Model\StoreManagerInterface');
$store = $storeManager->getStore();
$whereToBuyUrl = $block->getUrl('reselleranddistributor');
$whereToBuyUrl = $store->getBaseUrl() . 'reselleranddistributor';
if($_product->getTypeId() != 'bundle'){


$download_specsheet =  $_product->getData('download_specsheet');
$download_mac_driver_link =  $_product->getData('download_mac_driver_link');
$download_windows_driver_link =  $_product->getData('download_windows_driver_link');
$download_product_manual =  $_product->getData('download_product_manual');
$download_specsheet_2 =  $_product->getData('download_specsheet_2');
$download_driver_zip =  $_product->getData('download_driver_zip');
$download_firmware =  $_product->getData('download_firmware');
$download_firmware_guide =  $_product->getData('download_firmware_guide');

$mediaUrl = $objectManager->get(Magento\Store\Model\StoreManagerInterface::class)
     ->getStore() ->getBaseUrl(\Magento\Framework\UrlInterface::URL_TYPE_MEDIA);
?>
<div class="panel-body">
	<?php if($download_mac_driver_link || $download_windows_driver_link){ ?>
	<section>
		<h2>Drivers</h2>		
		<ul>
		<?php
									if($download_mac_driver_link){
								?>
								<li>
									
									<span >Mac Driver</span>
									<span class="item-link"><a href="<?php echo $download_mac_driver_link; ?>" rel=""  target="_blank"   title=""><img class="img-responsive" src="<?php echo $mediaUrl.'newtab.png'?>" /></a></span>
									
								</li>
								<?php } ?>
	<?php
									if($download_windows_driver_link){
								?>
								<li>
									
									<span >Windows Driver</span>
									<span class="item-link">
									<a href="<?php echo $download_windows_driver_link; ?>" rel=""  target="_blank"   title="">
										<img class="img-responsive" src="<?php echo $mediaUrl.'newtab.png'?>" />
									</a>
								</span>
								</li>
								<?php } ?>
		</ul>
	</section>
<?php } ?>
	<section>
		<h2>Downloads</h2>

		<ul>

								<?php
									if($download_specsheet){
								?>
								<li>
									<span >Specsheet</span>
									<span class="item-link">
									<a href="<?php echo $download_specsheet; ?>" rel=""  target="_blank"   title="">
									<img class="img-responsive" src="<?php echo $mediaUrl.'downloadicon.png'?>" />
									</a>
								</span>
								</li>
								<?php } ?>					
							
								<?php
									if($download_product_manual){
								?>
								<li>
									<span >User Manual</span>
									<span class="item-link">
									<a href="<?php echo $download_product_manual; ?>" rel=""  target="_blank"   title="">
									<img class="img-responsive" src="<?php echo $mediaUrl.'downloadicon.png'?>" />
									</a>
								</span>
								</li>
								<?php } ?>
								<?php
									if($download_specsheet_2){
								?>
								<li>
									<span >Specsheet</span>
									<span class="item-link">
									<a href="<?php echo $download_specsheet_2; ?>" rel=""  target="_blank"   title="">
									<img class="img-responsive" src="<?php echo $mediaUrl.'downloadicon.png'?>" />
									</a>
								</span>
								</li>
								<?php } ?>
								<?php
									if($download_driver_zip){
								?>
								<li>
									<span >Drivers</span>
									<span class="item-link">
									<a href="<?php echo $download_driver_zip; ?>" rel=""  target="_blank"   title="">
									<img class="img-responsive" src="<?php echo $mediaUrl.'downloadicon.png'?>" />
									</a>
								</span>
								</li>
								<?php } ?>
									<?php
									if($download_firmware){
								?>
								<li>
									<span >Firmware Update</span>
									<span class="item-link">
									<a href="<?php echo $download_firmware; ?>" rel=""  target="_blank"   title="">
									<img class="img-responsive" src="<?php echo $mediaUrl.'downloadicon.png'?>" />
									</a>
								</span>
								</li>
								<?php } ?>
									<?php
									if($download_firmware_guide){
								?>
								<li>
									<span >Firmware Update Guide</span>
									<span class="item-link">
									<a href="<?php echo $download_firmware_guide; ?>" rel=""  target="_blank"   title="">
									<img class="img-responsive" src="<?php echo $mediaUrl.'downloadicon.png'?>" />
									</a>
								</span>
								</li>
								<?php } ?>
					        	</ul>
	</section>
</div>

<?php }else{ ?>
<?php 
$_themeHelper = $this->helper("MGS\Mpanel\Helper\Data");
//$selectionCollection = [7012, 6916];
$selectionCollection = $_product->getTypeInstance(true)->getSelectionsCollection($_product->getTypeInstance(true)->getOptionsIds($_product),$_product);
foreach ($selectionCollection as $proselection) { 
 $_product = $_themeHelper->getModel('Magento\Catalog\Model\Product')->load($proselection->getId());
    //$_product = $_themeHelper->getModel('Magento\Catalog\Model\Product')->load($proselection);

$download_specsheet =  $_product->getData('download_specsheet');
$download_mac_driver_link =  $_product->getData('download_mac_driver_link');
$download_windows_driver_link =  $_product->getData('download_windows_driver_link');
$download_product_manual =  $_product->getData('download_product_manual');
$download_specsheet_2 =  $_product->getData('download_specsheet_2');
$download_driver_zip =  $_product->getData('download_driver_zip');
$download_firmware =  $_product->getData('download_firmware');
$download_firmware_guide =  $_product->getData('download_firmware_guide');

$mediaUrl = $objectManager->get(Magento\Store\Model\StoreManagerInterface::class)
     ->getStore()->getBaseUrl(\Magento\Framework\UrlInterface::URL_TYPE_MEDIA);

?>
<style type="text/css">
	#staticdownloads h2{
		margin-bottom: 20px;
	}
</style>
<div class="panel-body">
	<?php if($download_mac_driver_link || $download_windows_driver_link){ ?>
	<section>
		<h2>Drivers</h2>		
		<ul>
		<?php
									if($download_mac_driver_link){
								?>
								<li>
									
									<span >Mac Driver</span>
									<span class="item-link"><a href="<?php echo $download_mac_driver_link; ?>" rel=""  target="_blank"   title=""><img class="img-responsive" src="<?php echo $mediaUrl.'newtab.png'?>" /></a></span>
									
								</li>
								<?php } ?>
	<?php
									if($download_windows_driver_link){
								?>
								<li>
									
									<span >Windows Driver</span>
									<span class="item-link">
									<a href="<?php echo $download_windows_driver_link; ?>" rel=""  target="_blank"   title="">
										<img class="img-responsive" src="<?php echo $mediaUrl.'newtab.png'?>" />
									</a>
								</span>
								</li>
								<?php } ?>
		</ul>
	</section>
<?php } ?>
	<section>
		<h2>Downloads</h2>
		<span><?php echo $_product->getName(); ?></span>
		<ul>

								<?php
									if($download_specsheet){
								?>
								<li>
									<span >Specsheet</span>
									<span class="item-link">
									<a href="<?php echo $download_specsheet; ?>" rel=""  target="_blank"   title="">
									<img class="img-responsive" src="<?php echo $mediaUrl.'downloadicon.png'?>" />
									</a>
								</span>
								</li>
								<?php } ?>					
							
								<?php
									if($download_product_manual){
								?>
								<li>
									<span >User Manual</span>
									<span class="item-link">
									<a href="<?php echo $download_product_manual; ?>" rel=""  target="_blank"   title="">
									<img class="img-responsive" src="<?php echo $mediaUrl.'downloadicon.png'?>" />
									</a>
								</span>
								</li>
								<?php } ?>
								<?php
									if($download_specsheet_2){
								?>
								<li>
									<span >Specsheet</span>
									<span class="item-link">
									<a href="<?php echo $download_specsheet_2; ?>" rel=""  target="_blank"   title="">
									<img class="img-responsive" src="<?php echo $mediaUrl.'downloadicon.png'?>" />
									</a>
								</span>
								</li>
								<?php } ?>
								<?php
									if($download_driver_zip){
								?>
								<li>
									<span >Drivers</span>
									<span class="item-link">
									<a href="<?php echo $download_driver_zip; ?>" rel=""  target="_blank"   title="">
									<img class="img-responsive" src="<?php echo $mediaUrl.'downloadicon.png'?>" />
									</a>
								</span>
								</li>
								<?php } ?>
									<?php
									if($download_firmware){
								?>
								<li>
									<span >Firmware Update</span>
									<span class="item-link">
									<a href="<?php echo $download_firmware; ?>" rel=""  target="_blank"   title="">
									<img class="img-responsive" src="<?php echo $mediaUrl.'downloadicon.png'?>" />
									</a>
								</span>
								</li>
								<?php } ?>
									<?php
									if($download_firmware_guide){
								?>
								<li>
									<span >Firmware Update Guide</span>
									<span class="item-link">
									<a href="<?php echo $download_firmware_guide; ?>" rel=""  target="_blank"   title="">
									<img class="img-responsive" src="<?php echo $mediaUrl.'downloadicon.png'?>" />
									</a>
								</span>
								</li>
								<?php } ?>
					        	</ul>
	</section>
</div>
<?php }    
?>
<?php } ?>